Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.arbaro.params
Class LevelParams

    java.lang.Object
      net.sourceforge.arbaro.params.LevelParams

    public class LevelParams

extends java.lang.Object

Field Summary
`int` | `level`
`int` | `mesh_points` `mesh_points` - how many meshpoints per cross-section
`double` | `nBranchDist` `nBranchDist` is the substem distance within a segment 0: all substems at segment base 1: distributed over full segment
`int` | `nBranches`
`double` | `nCurve`
`double` | `nCurveBack`
`int` | `nCurveRes`
`double` | `nCurveV`
`double` | `nDownAngle`
`double` | `nDownAngleV`
`double` | `nLength`
`double` | `nLengthV`
`double` | `nRotate`
`double` | `nRotateV`
`double` | `nSegSplits`
`double` | `nSplitAngle`
`double` | `nSplitAngleV`
`double` | `nTaper`
`Random` | `random` random generators
`double` | `splitErrorValue`
`double` | `substemErrorValue`

Constructor Summary
`LevelParams(int l, java.util.Hashtable parDB)`

Method Summary
`long` | `initRandom(long seed)`
`void` | `restoreState()`
`void` | `saveState()`
`double` | `var(double variation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### level

    public int level

### nTaper

    public double nTaper

### nCurveRes

    public int nCurveRes

### nCurve

    public double nCurve

### nCurveV

    public double nCurveV

### nCurveBack

    public double nCurveBack

### nLength

    public double nLength

### nLengthV

    public double nLengthV

### nSegSplits

    public double nSegSplits

### nSplitAngle

    public double nSplitAngle

### nSplitAngleV

    public double nSplitAngleV

### nBranches

    public int nBranches

### nBranchDist

    public double nBranchDist

  `nBranchDist` is the substem distance within a segment
  - 0: all substems at segment base
  - 1: distributed over full segment

### nDownAngle

    public double nDownAngle

### nDownAngleV

    public double nDownAngleV

### nRotate

    public double nRotate

### nRotateV

    public double nRotateV

### mesh_points

    public int mesh_points

  `mesh_points` - how many meshpoints per cross-section

### splitErrorValue

    public double splitErrorValue

### substemErrorValue

    public double substemErrorValue

### random

    public Random random

  random generators

Constructor Detail

### LevelParams

    public LevelParams(int l,
                       java.util.Hashtable parDB)

Method Detail

### initRandom

    public long initRandom(long seed)

### var

    public double var(double variation)

### saveState

    public void saveState()

### restoreState

    public void restoreState()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD